---
import externalLinkIconImg from "@assets/img/symbols/external-link.svg";

const { deviceInfo, name } = Astro.props;
---

<!-- Specifications -->
<div id="deviceSpec" class="scrollspy specifications mt-5">
  <div class="heading">
    <div>
      <p class="d-print-none">{name}</p>
      <h2 class="h3">Specifications</h2>
    </div>
    <a
      class="badge badge-secondary badge-pill d-print-none"
      target="_blank"
      href={"https://ddg.gg/?q=" + name + "%20specs"}
    >
      <img class="both-invert" src={externalLinkIconImg.src} />
    </a>
  </div>
  <div class="table-responsive">
    <table class="table table-striped">
      <tbody>
        {
          deviceInfo.map((info) => (
            <tr>
              <td>{info.name}</td>
              <td>{info.value}</td>
            </tr>
          ))
        }
      </tbody>
    </table>
  </div>
</div>
